com.h3c.of.lib.msg

## Class OfmFeaturesReply

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmFeaturesReply

- All Implemented Interfaces:
    Message, Structure, Comparable<OfmFeaturesReply>
  Direct Known Subclasses:
    OfmMutableFeaturesReply

      public class OfmFeaturesReply
      extends OpenflowMessage
      implements Comparable<OfmFeaturesReply>

  Represents an OpenFlow FEATURES_REPLY message; Since 1.0.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(OfmFeaturesReply o)`
    `boolean` | `equals(Object o)`
    `int` | `getAuxId()` Returns the auxiliary id, representing the type of connection from the switch to the controller; Since 1.3.
    `Set<Capability>` | `getCapabilities()` Returns the set of capabilities supported by the switch; Since 1.0.
    `DataPathId` | `getDpid()` Returns the datapath id uniquely identifying the datapath; Since 1.0.
    `long` | `getNumBuffers()` Returns the maximum number of packets the switch can buffer at once; Since 1.0.
    `int` | `getNumTables()` Returns the number of tables supported by the switch; Since 1.0.
    `List<Port>` | `getPorts()` List of OpenFlow-enabled ports; Since 1.0; Removed at 1.3.
    `Set<SupportedAction>` | `getSupportedActions()` Set of supported action flags; Since 1.0; Removed at 1.1.
    `int` | `hashCode()`
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toDebugString(int indent)` Returns a multi-line string representation of this features reply.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### compareTo

          public int compareTo(OfmFeaturesReply o)

      Specified by:
        `compareTo` in interface `Comparable<OfmFeaturesReply>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowMessage`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowMessage`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowMessage.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowMessage`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### toDebugString

          public String toDebugString(int indent)

      Returns a multi-line string representation of this features reply.
      Parameters:
        `indent` - the additional indent (in spaces)
      Returns:
        a multi-line string representation

    - #### getDpid

          public DataPathId getDpid()

      Returns the datapath id uniquely identifying the datapath; Since 1.0.
      Returns:
        the datapath id

    - #### getNumBuffers

          public long getNumBuffers()

      Returns the maximum number of packets the switch can buffer at once; Since 1.0.
      Returns:
        the max number of packet buffers

    - #### getNumTables

          public int getNumTables()

      Returns the number of tables supported by the switch; Since 1.0.
      Returns:
        the number of tables supported

    - #### getAuxId

          public int getAuxId()

      Returns the auxiliary id, representing the type of connection from the switch to the controller; Since 1.3. The main connection will have a value of zero; auxiliary connections will have a non-zero value.
      Returns:
        the auxiliary id

    - #### getCapabilities

          public Set<Capability> getCapabilities()

      Returns the set of capabilities supported by the switch; Since 1.0.
      Returns:
        the set of capabilities.

    - #### getSupportedActions

          public Set<SupportedAction> getSupportedActions()

      Set of supported action flags; Since 1.0; Removed at 1.1.

      Designates the actions that the switch supports.

      Returns:
        the set of supported actions
      Throws:
        `VersionMismatchException` - if message version is not 1.0

    - #### getPorts

          public List<Port> getPorts()

      List of OpenFlow-enabled ports; Since 1.0; Removed at 1.3.

      For 1.3 and later, the port list has to be explicitly requested via a `OfmMultipartRequest` of type `MultipartType.PORT_DESC`.

      Returns:
        the list of OpenFlow capable ports
      Throws:
        `VersionMismatchException` - if message version is 1.3 or newer

Copyright © 2014. All Rights Reserved.